C***********************************************************************
C       SUBROUTINE GETPAR
C
C       SUBROUTINE LOADS THE PARAMETRS FROM A PARAMETER FILE  CALLED
C       HFRED.PAR WHICH HAS TO BE ON THE DEFAULT DRIVE.
C
C       VARIABLES ARE EXPLAINED IN THE MAIN PROGRAM
C
C***********************************************************************
c
       subroutine getpar(lun)
       implicit real(k)
       character para*80,fname*50
c
       common/sensor/nsensr,tcycle,deltat,a,dsensr,terror,plen,
     $               aa(15),bb(15),cc(15),
     $               ratcl(3),f(5000),alpha,fstart,fincr
       common/frico/fdelay(15),dincr,ifmax,tfmin,tfmax
       common/condco/kinit(15),ktoler,tsinit,tsincr,tpmin,tpmax,
     $               ipmax,pdelay(15),power
       common/out/lundat,lunout,long,lplot
       common/plotpa/fp(8),tp(8),cp(8),hp(8),bp(8)
c
c.......
c
       open( lun, file='hfred.par' )
c
c.......
c
       read( lun,* ) nsensr
       read( lun,* ) tcycle
       read( lun,* ) deltat
       read( lun,* ) a
       read( lun,* ) dsensr
       read( lun,* ) terror
       read( lun,* ) plen
       read( lun,* ) (aa(i),i=1,nsensr)
       read( lun,* ) (bb(i),i=1,nsensr)
       read( lun,* ) (cc(i),i=1,nsensr)
       read( lun,* ) (ratcl(i),i=1,3)
c
       read( lun,* ) (fdelay(i),i=1,nsensr)
       read( lun,* ) ifmax,dincr
       read( lun,* ) tfmin,tfmax
c
       read( lun,* ) (pdelay(i),i=1,nsensr)
       read( lun,* ) (kinit(i),i=1,nsensr)
       read( lun,* ) power
       read( lun,* ) tsinit,tsincr
       read( lun,* ) ipmax,ktoler
       read( lun,* ) tpmin, tpmax
c
       read( lun,* ) (fp(i),i=1,8)
       read( lun,* ) (tp(i),i=1,8)
       read( lun,* ) (cp(i),i=1,8)
       read( lun,* ) (hp(i),i=1,8)
       read( lun,* ) (bp(i),i=1,8)
c
       read( lun,* ) lundat,lunout,long,lplot
c
       close(lun)
c
c.......filename has to be entered at run-time
c
c
        write(*,*)'ENTER NAME OF OUTPUT-FILE '
        read(*,10)fname
10      format(a50)
c
       open(lunout,file=fname)
       if(fname.eq.'CON'.or.fname.eq.'con')    open(0)
c
       return
       end


