c***********************************************************************
c
c       FUNCTION RATBUL
c
c       FUNCTION OF THE CONDUCTIVITY - DIFFUSIVITY - RELATIONSHIP
c
c       VARIABLE
c       --------
c       K     : THERMAL CONDUCTIVITY
c       KAPPA : THERMAL DIFFUSIVITY
c       RATCL : COEFFICENTS FROM HYNDMAN ET AL. 1979
c               MARINE GEOPYS. RES.,4,181-205
c               OR AT THE USER'S DISCRETION
c
c***********************************************************************
c
       function ratbul(k)
c
       real k,kappa
c
       common/sensor/nsensr,tcycle,deltat,a,dsensr,terror,plen,
     $                aa(15),bb(15),cc(15),
     $                ratcl(3),f(5000),alpha,fstart,fincr
c
       kappa = ratcl(1) - ratcl(2) * k + ratcl(3) * k ** 2
       kappa = k / kappa
        ratbul = kappa * 1.0e-6
c
       return
       end


