c***********************************************************************
c
c       FUNCTION TEMP
c
c       FUNCTION CONVERTS READINGS IN TEMPERATURES USING CALIBRATION
c       COEFFICIENTS SUPPLIED IN THE PARAMETER FILE HFRED.PAR
C
c       VARIABLES
c       ---------
c
c       X        : READING
c       L        : SENSOR NUMBER
c       AA,BB,CC : CALIBRATION COEFFICIENTS
c
c***********************************************************************
c
c
       real function temp(x,l)
c
       common/sensor/nsensr,tcycle,deltat,a,dsensr,terror,plen,
     $                aa(15),bb(15),cc(15),
     $                ratcl(3),f(5000),alpha,fstart,fincr
c
        temp=aa(l) * x **2 + bb(l) * x + cc(l)
c
       return
       end


