      SUBROUTINE BES(NO,X,T,Y)
C
      DOUBLE PRECISION T(200),Y(200),X,TOPI,F,SUM,TYO,SYO,S,XN
C
C-----------------------------------------------------------------------
C
C
 107  FORMAT('Negative order not accepted in bessel function routine.')
      KODE=0
      IOUT=6
      TOPI=0.6366197734D0
      KLAM=1
      KO=NO+1
      IF(X.NE.0.D0)GO TO 6
      GO TO 4
 5    WRITE(IOUT,107)
    4 STOP
 6    IF(NO.LT.0)GO TO 5
 7    IF(KODE.EQ.0)GO TO 9
 8    KLAM=KLAM+1
 9    JO=2*IFIX(SNGL(X))
      MO=NO
      IF((MO-JO) .GE.0)GO TO 12
 11   MO=JO
 12   MO=MO+11
      T(MO)=0.D0
      LUB=MO-1
      T(LUB)=1.0D-35
      GO TO (23,51),KLAM
 23   F=DBLE(FLOAT(2*LUB))
      MO=MO-3
      I2=MO
 24   F=F-2.D0
      T(I2+1)=F/X*T(I2+2)-T(I2+3)
      IF(I2)25,26,25
 25   I2=I2-1
      GO TO 24
 26   SUM=T(1)
      DO 40 J=3,MO,2
        SUM=SUM+2.D0*T(J)
40    CONTINUE
      F=1.D0/SUM
      DO 50 J=1,MO
        T(J)=T(J)*F
50    CONTINUE
      TYO=TOPI*T(1)*(DLOG(.5D0*X)+0.577215665D0)
      MOO2=MO/2
      SYO=0.D0
      S=-1.D0
      DO 101 K=1,MOO2
        XN=DBLE(FLOAT(K))
        KK=2*K+1
        SYO=SYO+S*T(KK)/XN
        S=-S
101   CONTINUE
      Y(1)=TYO-2.D0*TOPI*SYO
      Y(2)=(T(2)*Y(1)-TOPI/X)/T(1)
      DO 102 K=3,KO
        Y(K)=2.D0*DBLE(FLOAT(K-2))/X*Y(K-1)-Y(K-2)
102   CONTINUE
      RETURN
C
 51   F=DBLE(FLOAT(2*LUB-2))
      MO=MO-3
      I2=MO
 511  T(I2+1)=F/X*T(I2+2)+T(I2+3)
      IF(I2.EQ.0)GO TO 53
 52   I2=I2-1
      F=F-2.D0
      GO TO 511
C
 53   SUM=T(1)
      DO 70 J=2,MO
        SUM=SUM+2.D0*T(J)
70    CONTINUE
      F=1.D0/SUM*DEXP(X)
      DO 80 J=1,KO
        T(J)=T(J)*F
80    CONTINUE
C
      RETURN
      END

