c***********************************************************************
c
c       SUBROUTINE COR
c
c       SUBROUTINE CORRECTS THE HEAT PULSE DECAY TEMPERATURES FOR
c       RESIDUAL FRICTIONAL HEATING
c
c       VARIABLES
c       ---------
c       VARIABLES ARE EXPLAINED IN FRIC AND HFRED
c
c***********************************************************************
c
       subroutine cor(i,time,tem,npuls,sedtem,fslope,fricon,pulson)
c
       implicit real (k)
       common/decdat/tfric(75,15),rfric(75,15),
     $                tpuls(75,15),rpuls(75,15)
       common/sensor/nsensr,tcycle,deltat,a,dsensr,terror,plen,
     $                aa(15),bb(15),cc(15),
     $                ratcl(3),f(5000),alpha,fstart,fincr
       common/frico/fdelay(15),dincr,ifmax,tfmin,tfmax
            common/condco/kinit(15),ktoler,tsinit,tsincr,tpmin,tpmax,
     $                ipmax,pdelay(15),power
       common/out/lundat,lunout,long,lplot
       dimension sedtem(nsensr),fslope(nsensr),npuls(nsensr),
     $            time(100),tem(100)
c
       kappa = ratbul(kinit(i))
c
       do       100       j=1,npuls(i)
        tim = tpuls(j,i) + (pulson-fricon)
       tau = (kappa*tim)/(a*a)
       fatau = ftable(tau)
       temps = sedtem(i) + fslope(i)*fatau
        tem(j) = rpuls(j,i) - temps
       time(j) = tpuls(j,i) - (plen/2.)
c
100       continue
c
       return
       end


