c***********************************************************************
c       SUBROUTINE FOUT
c
c       SUBROUTINE FOUT PRINTS ALL THE RESULTS OF FRIC FOR ALL
c       SENSORS IN A TABULATED FORM
c
c       VARIABLES
c       ---------
c       THE EXPLANATION OF THE VARIABLES CAN BE FOUND IN THE
c       SUBROUTINE FRIC
c
c***********************************************************************
c
       subroutine fout(nfric,nfused,sedtem,estsed,sedrms,fslope,
     $                  rwater)
c
       implicit real(k)
       common/sensor/nsensr,tcycle,deltat,a,dsensr,terror,plen,
     $                aa(15),bb(15),cc(15),
     $                ratcl(3),f(5000),alpha,fstart,fincr
       common/out/lundat,lunout,long,lplot
       common/frico/fdelay(15),dincr,ifmax,tfmin,tfmax
        dimension sedtem(nsensr),estsed(nsensr),sedrms(nsensr),
     $            fslope(nsensr),rwater(nsensr),
     $            nfric(nsensr),nfused(nsensr)
c
       write(lunout,20)
       write(lunout,30)
       write(lunout,40)
       write(lunout,50)
c
       write(*,20)
       write(*,30)
       write(*,40)
       write(*,50)
c
       do       100       i=1,nsensr
       write(lunout,60)i,nfric(i),nfused(i),sedtem(i),estsed(i),
     $                  fdelay(i),fslope(i),rwater(i)
       write(*,60)i,nfric(i),nfused(i),sedtem(i),estsed(i),
     $                  fdelay(i),fslope(i),rwater(i)
c
       if(i.lt.nsensr)   then
        grad = (sedtem(i) - sedtem(i+1))/dsensr
       grad = 1000.*grad
       write(lunout,70) grad
       write(*,70) grad
       endif
c
100       continue
c
20       format(1h ,/,1h ,32x,'FRICTIONAL DECAY')
30       format(1h ,32x,'================')
40       format(1h ,5x,'sensor',2x,'no of points',2x,'sed.temp.',3x,
     $         '95% level',3x,'gradient',2x,'delay',2x,'slope',
     $          2x,'water')
50       format(1h ,13x,'total / used',3x,'(deg)',5x,'error (deg)',
     $        2x,'(mdeg/m)',3x,'(s)',10x,'temp.')
60       format(1h ,5x,i3,8x,i2,' / ',i2,5x,f6.3,7x,f5.4,14x,f6.1,1x,
     $          f6.3,2x,f5.3)
70       format(1h ,52x,f6.1)
	write(lunout,80)
80	format(1h ,//)
       return
       end


