C******************************************************************************
C
C       FUNCTION FTABLE
C
C       FUNCTION FTABLE INTERPOLATES VALUES FROM THE F(,) TABLE
C       WHICH WAS GENERATED USING THE PROGRAM FATAU
C
C******************************************************************************
C
        function ftable(x)
c
        common/sensor/nsensr,tcycle,deltat,a,dsensr,terror,plen,
     $                aa(15),bb(15),cc(15),
     $                ratcl(3),f(5000),alpha,fstart,fincr
c
        if(x.lt.9.9)    then
        start = (x-fstart) / fincr
        start = aint(start)
        n = ifix(start)
        p = x - (start*fincr + fstart)
        p = p / fincr
        ftable = (1.-p) * f(n+4) + f(n+5)*p
c
        else
c
        ftable = (1. / (2.*alpha*x)) - (1. / (4.*alpha*x*x))
c
        endif
c
c
        return
        end

