c***********************************************************************
c
c	SUBROUTINE FMVST
c
c       SUBROUTINE TO COMPUTE MEAN, VARIANCE AND STD OF AN ARRAY
c
c       ADAPTED FROM MARK WIEDERSPAN U. TEXAS AT AUSTIN
c
c***********************************************************************
c
c
	subroutine fmvsd( x, n, xmean, xvar, xsigma )
	real x(n)
	real xmean
	real xvar
	real xsigma
c
	double precision sum
c
c
	sum = 0.0d0
	do 100 i=1, n
	  sum = sum + x(i)
100	continue
c
	xmean = sum / n
c
	sum = 0.0d0
	do 200 i=1, n
	  sum = sum + (x(i) - xmean)**2
200	continue
c
	xvar = sum / n
c
	xsigma = dsqrt( sum / ( n-1 ) )
c
	return
	end
