c***********************************************************************
c
c       SUBROUTINE PARAM
c
c
c        SUBROUTINE TO PRINTOUT PARAMETERS OF THE PARAMETER-FILE
c       HFRED.PAR
c
c***********************************************************************
c
       subroutine param
c
       implicit real(k)
       common/sensor/nsensr,tcycle,deltat,a,dsensr,terror,plen,
     $                aa(15),bb(15),cc(15),
     $                ratcl(3),f(5000),alpha,fstart,fincr
       common/frico/fdelay(15),dincr,ifmax,tfmin,tfmax
       common/condco/kinit(15),ktoler,tsinit,tsincr,tpmin,tpmax,
     +                ipmax,pdelay(15),power
       common/plotpa/fp(8),tp(8),cp(8),hp(8),bp(8)
       common/out/lundat,lunout,long,lplot
c
       write(lunout,*)
       write(lunout,*)'       PARAMETERS'
       write(lunout,*)'       =========='
       write(lunout,50)nsensr
       write(lunout,140)tcycle
       write(lunout,150)deltat
       write(lunout,60)a
       write(lunout,70)power
       write(lunout,10)(fdelay(i),i=1,nsensr)
       write(lunout,80)tfmin
       write(lunout,20)(pdelay(i),i=1,nsensr)
       write(lunout,30)(kinit(i),i=1,nsensr)
       write(lunout,40)tsinit,tsincr
       write(lunout,90)ktoler
       write(lunout,110)tpmin
       write(lunout,120)alpha
       write(lunout,130)fincr
c
       write(*,*)
       write(*,*)'       PARAMETERS'
       write(*,*)'       =========='
       write(*,50)nsensr
       write(*,140)tcycle
       write(*,150)deltat
       write(*,60)a
       write(*,70)power
       write(*,10)(fdelay(i),i=1,nsensr)
       write(*,80)tfmin
       write(*,20)(pdelay(i),i=1,nsensr)
       write(*,30)(kinit(i),i=1,nsensr)
       write(*,40)tsinit,tsincr
       write(*,90)ktoler
       write(*,110)tpmin
       write(*,120)alpha
       write(*,130)fincr
c
10       format(1h ,5x,'frictional time delays (s)',7f6.1)
20       format(1h ,5x,'pulse time delays (s) ',7f6.1)
30       format(1h ,5x,'initial thermal cond.',7f6.2)
40       format(1h ,5x,'initial time-shift and time-shift increment',
     $         2f8.2)
50       format(1h ,5x,'number of sensors : ',i2)
60       format(1h ,5x,'radius of the sensor string (m) : ',f7.5)
70       format(1h ,5x,'power input per length (J/m) : ',f8.2)
80       format(1h ,5x,'min. tau for frictional decay : ',f6.2)
90       format(1h ,5x,'max. thermal cond. error in COND : ',f8.4)
110       format(1h ,5x,'min. tau for heat pulse decay : ',f6.2)
120       format(1h ,5x,'alpha-value used : ',f6.2)
130       format(1h ,5x,'increment of F(alpha,tau)-table : ',f8.3,/)
140       format(1h ,5x,'cycle time (s) : ',f4.1)
150       format(1h ,5x,'time increment between sensor readings (s) :',
     $         f5.2)
c
       return
       end

