c***********************************************************************
c
c       SUBROUTINE TITLE
c
c       SUBROUTINE READS HEADER INFORMATION FROM SPECIFIED PENETRATION
c       DATA FILE AND PRINTS IT.
c
c***********************************************************************
C
       subroutine title( istn,ipen,cruise)
c
       character hfdata*40,cruise*10
       common/sensor/nsensr,tcycle,deltat,a,dsensr,terror,plen,
     $                aa(15),bb(15),cc(15),
     $                ratcl(3),f(5000),alpha,fstart,fincr
        common/out/lundat,lunout,long,lplot
c
       cruise='--n/a--'
c
       write(*,*)'   enter penetration file number'
       read(*,10)hfdata
c
       open( lundat, file=hfdata )
c
       read( lundat,*,err=200,end=100 ) istn, ipen, cruise
200     read( lundat,*,end=100 ) xlat, xlong, depth
        read( lundat,*,err=700, end=100 ) instid, istrng, nsensr
c
700        write( lunout,1010 )
           write( lunout,1020 )
           write( lunout,1025 ) cruise
           write( lunout,1030 ) istn, ipen
           write( lunout,1040 ) instid, istrng
           write( lunout,1050 ) xlat, xlong, depth
           write( lunout,1020 )
           write( lunout,1060 )
c
100       continue
c
10          format(a40)
1010           format(1h1,/,1h ,15x, 50('*') )
1020           format(15x, ' *', 48x, '*' )
1025           format(15x,' *',5x,'Cruise:',a10,26x,'*')
1030           format(15x, ' *',5x,'Station:',i5,8x,'Penetration:',i5,
     $             5x,'*')
1040           format(15x, ' *',5x,'Instrument:',i5,5x,'Sensor:',i5,
     $             10x,'*')
1050           format(15x, ' *',5x,'Latitude:',f8.3,4x,'Longitude:',f9.3
     $                 ,3x,'*'/15x, ' *',5x,'Depth(m):',f5.0,29x,'*' )
1060           format(1h ,15x, 50('*') )
       return
       end


